Data.GraphViz.Attributes

# The definition of attributes

data Attribute

type Attributes

# Creating labels

toLabel

textLabel

xLabel

xTextLabel

forceLabels

textLabelValue

class Labellable a

# Colors

data X11Color

bgColor

bgColors

fillColor

fillColors

fontColor

penColor

color

# Stylistic attributes

penWidth

gradientAngle

style

styles

type Style

dashed

dotted

solid

bold

invis

filled

diagonals

striped

wedged

rounded

tapered

radial

# Node shapes

shape

data Shape

# Edge arrows

arrowTo

arrowFrom

## Specifying where to draw arrows on an edge.

edgeEnds

data DirType

## Default arrow types.

type Arrow

### The 9 primitive arrows.

box

crow

diamond

dotArrow

inv

noArrow

normal

tee

vee

### 5 derived arrows.

oDot

invDot

invODot

oBox

oDiamond

# Layout

ordering

data Order

rank

data RankType